#!/bin/sh
echo 'name: stm
version: 2.4
id: stm-2.4-464c94c0d4d2a3fb7bf1cd1f8648d14d

license: BSD3
copyright:
maintainer: libraries@haskell.org
stability:
homepage:
package-url:
synopsis: Software Transactional Memory
description: A modular composable concurrency abstraction.
             .
             Changes in version 2.4
             .
             * Added "Control.Concurrent.STM.TQueue" (a faster @TChan@)
             .
             * Added "Control.Concurrent.STM.TBQueue" (a bounded channel based on @TQueue@)
             .
             * @TChan@ has an @Eq@ instances
             .
             * Added @newBroadcastTChan@ and @newBroadcastTChanIO@
             .
             * Some performance improvements for @TChan@
             .
             * Added @cloneTChan@
category: Concurrency
author:
exposed: True
exposed-modules: Control.Concurrent.STM
                 Control.Concurrent.STM.TArray Control.Concurrent.STM.TVar
                 Control.Concurrent.STM.TChan Control.Concurrent.STM.TMVar
                 Control.Concurrent.STM.TQueue Control.Concurrent.STM.TBQueue
                 Control.Monad.STM
hidden-modules: Control.Sequential.STM
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.2/cabal/stm-2.4
library-dirs: /usr/local/lib/ghc-7.4.2/cabal/stm-2.4 /usr/local/lib
hs-libraries: HSstm-2.4
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: array-0.4.0.0-0b6c5ca7e879a14d110ca4c001dd9297
         base-4.5.1.0-f58939ca866a8377999e7a71aa62d1d0
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.2/cabal/stm-2.4/html/stm.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.2/cabal/stm-2.4/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
